remove unused hdemu release mode

Change-Id: I3ca497eda3c0042cafb8ba88fe16202221823a9c
This commit is contained in:
Ben Gras 2013-09-24 12:39:18 +02:00
parent a64a836a3f
commit a16d9e9f51
2 changed files with 19 additions and 62 deletions

View file

@ -100,22 +100,6 @@ load=/mod12_init
END_BOOT_CFG END_BOOT_CFG
} }
hdemu_root_changes()
{
$RELEASEDIR/usr/sbin/installboot_nbsd $TMPDISKROOT \
$RELEASEDIR/usr/mdec/bootxx_minixfs3
cat >$RELEASEMNTDIR/boot.cfg <<END_BOOT_CFG
menu=Regular MINIX 3:load_mods /boot/minix_default/mod*;multiboot /boot/minix_default/kernel bootcd=2 disable=inet bios_wini=yes bios_remap_first=1 ramimagedev=c0d7p0s0
menu=Edit menu option:edit
menu=Drop to boot prompt:prompt
clear=1
timeout=10
default=1
END_BOOT_CFG
}
usb_root_changes() usb_root_changes()
{ {
$RELEASEDIR/usr/sbin/installboot_nbsd $TMPDISKROOT \ $RELEASEDIR/usr/sbin/installboot_nbsd $TMPDISKROOT \

View file

@ -56,7 +56,6 @@ CDFILES=/usr/tmp/cdreleasefiles
IMG_BASE=minix${version}_ide IMG_BASE=minix${version}_ide
BS=4096 BS=4096
HDEMU=0
COPY=0 COPY=0
JAILMODE=0 JAILMODE=0
REVTAG="" REVTAG=""
@ -80,17 +79,12 @@ while getopts "b:j:ls:pmMchu?f:L:e:" c
do do
case "$c" in case "$c" in
\?) \?)
echo "Usage: $0 [-l] [-p] [-c] [-h] [-m] [-M] [-u] [-f <filename>] [-s <username>] -j<jaildir> [-L <packageurl>] [-e <extras-path>]" >&2 echo "Usage: $0 [-l] [-p] [-c] [-m] [-M] [-u] [-f <filename>] [-s <username>] -j<jaildir> [-L <packageurl>] [-e <extras-path>]" >&2
exit 1 exit 1
;; ;;
b) b)
GITBRANCH=$OPTARG GITBRANCH=$OPTARG
;; ;;
h)
echo " * Making HD image"
IMG_BASE=minix${version}_bios
HDEMU=1
;;
c) c)
echo " * Copying, not using GIT" echo " * Copying, not using GIT"
COPY=1 COPY=1
@ -105,7 +99,6 @@ do
u) u)
echo " * Making live USB-stick image" echo " * Making live USB-stick image"
IMG_BASE=minix${version}_usb IMG_BASE=minix${version}_usb
HDEMU=1
USB=1 USB=1
;; ;;
f) f)
@ -309,13 +302,6 @@ then
root=/dev/c0d7p0s0 root=/dev/c0d7p0s0
usr=/dev/c0d7p0s2 usr=/dev/c0d7p0s2
" > $RELEASEDIR/etc/fstab " > $RELEASEDIR/etc/fstab
elif [ "$HDEMU" -ne 0 ]
then
echo \
"$fstab_marker
root=/dev/c0d7p0s0
usr=/dev/c0d7p0s2
usr_roflag=\"-r\"" > $RELEASEDIR/etc/fstab
fi fi
########################################################################## ##########################################################################
@ -344,13 +330,8 @@ umount $TMPDISKUSR || exit
echo " * Making image bootable" echo " * Making image bootable"
if [ "$USB" -ne 0 ] if [ "$USB" -ne 0 ]
then then usb_root_changes
usb_root_changes else cd_root_changes
elif [ "$HDEMU" -ne 0 ]
then
hdemu_root_changes
else
cd_root_changes
fi fi
echo " * Unmounting $TMPDISKROOT from $RELEASEMNTDIR" echo " * Unmounting $TMPDISKROOT from $RELEASEMNTDIR"
@ -366,11 +347,6 @@ echo "This is Minix version $version_pretty prepared `date`." >$CDFILES/VERSION.
boottype=-n boottype=-n
bootimage=$IMAGE bootimage=$IMAGE
if [ "$HDEMU" -ne 0 ]; then
make_hdimage
boottype='-h'
bootimage=hdimage
fi
if [ "$USB" -ne 0 ]; then if [ "$USB" -ne 0 ]; then
mv $bootimage $IMG mv $bootimage $IMG
@ -380,25 +356,22 @@ else
gzip -d $CDFILES/*gz gzip -d $CDFILES/*gz
writeisofs -s0x0 -l MINIX -B $bootimage $boottype $CDFILES $IMG || exit 1 writeisofs -s0x0 -l MINIX -B $bootimage $boottype $CDFILES $IMG || exit 1
if [ "$HDEMU" -eq 0 ] echo "Appending Minix root and usr filesystem"
then # Pad ISO out to cylinder boundary
echo "Appending Minix root and usr filesystem" isobytes=`stat -f %z $IMG`
# Pad ISO out to cylinder boundary isosects=`expr $isobytes / 512`
isobytes=`stat -f %z $IMG` isopad=`expr $secs - '(' $isosects % $secs ')'`
isosects=`expr $isobytes / 512` dd if=/dev/zero count=$isopad >>$IMG
isopad=`expr $secs - '(' $isosects % $secs ')'` # number of sectors
dd if=/dev/zero count=$isopad >>$IMG isosects=`expr $isosects + $isopad`
# number of sectors ( cat $IMG $ROOTIMAGE ;
isosects=`expr $isosects + $isopad` dd if=$TMPDISKUSR bs=$BS count=$USRBLOCKS ) >m
( cat $IMG $ROOTIMAGE ; mv m $IMG
dd if=$TMPDISKUSR bs=$BS count=$USRBLOCKS ) >m # Make CD partition table
mv m $IMG installboot_nbsd -m $IMG /usr/mdec/mbr
# Make CD partition table # Make sure there is no hole..! Otherwise the ISO format is
installboot_nbsd -m $IMG /usr/mdec/mbr # unreadable.
# Make sure there is no hole..! Otherwise the ISO format is partition -m $IMG 0 81:$isosects 81:$ROOTSECTS 81:$USRSECTS
# unreadable.
partition -m $IMG 0 81:$isosects 81:$ROOTSECTS 81:$USRSECTS
fi
fi fi
# Clean up: RELEASEDIR no longer needed # Clean up: RELEASEDIR no longer needed